BaseEmbedder
============

.. autoclass:: FlagEmbedding.inference.embedder.encoder_only.base.BaseEmbedder

Methods
-------

.. automethod:: FlagEmbedding.inference.embedder.encoder_only.base.BaseEmbedder.encode_queries
    :no-index:

.. automethod:: FlagEmbedding.inference.embedder.encoder_only.base.BaseEmbedder.encode_corpus

.. automethod:: FlagEmbedding.inference.embedder.encoder_only.base.BaseEmbedder.encode

.. automethod:: FlagEmbedding.inference.embedder.encoder_only.base.BaseEmbedder.encode_single_device

.. automethod:: FlagEmbedding.inference.embedder.encoder_only.base.BaseEmbedder.pooling